<template>
  <nav class="links">
    <ul class="main-nav">
      <li v-for="navItem in navItems" :key="navItem.name">
        <ext-link
          class="nav-link"
          :class="{
            disable: navItem.soon,
            active: isRouteActive(navItem.link),
          }"
          :linkProps="navItem.link"
        >
          {{ navItem.name }}
        </ext-link>
      </li>
      <li class="liquidity">
        <!-- switch button -->
        <switch-button
          :settings="{
            left: { text: 'Swap', linkProps: this.$links('slash_interfaces') },
            right: {
              text: 'Pool',
              linkProps: this.$links('slash_liquidity_providers'),
            },
          }"
        ></switch-button>
      </li>
      <li>
        <div class="nav-social">
          <div class="dev-tag-container">
            <DevTagIcon class="dev-tag" :class="{ active: devTag }" />
          </div>
          <ext-link :linkProps="$links('nav_twitter')">
            <TwitterLogo class="social-icon" />
          </ext-link>
          <div class="h-divider"></div>
          <ext-link :linkProps="$links('nav_telegram_community')">
            <TelegramLogo class="social-icon" />
          </ext-link>
          <div class="h-divider"></div>
          <ext-link :linkProps="$links('nav_docs')">
            <GitBookLogo
              class="social-icon"
              @mouseenter="activeTag(true)"
              @mouseleave="activeTag(false)"
            />
          </ext-link>
          <div class="h-divider"></div>
          <ext-link :linkProps="$links('nav_gitlab')">
            <GitlabLogo
              class="social-icon"
              @mouseenter="activeTag(true)"
              @mouseleave="activeTag(false)"
            />
          </ext-link>
          <div class="h-divider"></div>
          <ext-link :linkProps="$links('nav_dev_discord_community')">
            <DiscordLogo
              class="social-icon"
              @mouseenter="activeTag(true)"
              @mouseleave="activeTag(false)"
            />
          </ext-link>
        </div>
      </li>
    </ul>
  </nav>
</template>


<script>
import ExtLink from "../main/ExtLink.vue";
import TelegramLogo from "~/assets/images/nav/social-telegram-icon.svg?inline";
import TwitterLogo from "~/assets/images/nav/social-twitter-icon.svg?inline";
import GitBookLogo from "~/assets/images/nav/social-gitbook-icon.svg?inline";
import GitlabLogo from "~/assets/images/nav/social-gitlab-icon.svg?inline";
import DiscordLogo from "~/assets/images/nav/social-discord-icon.svg?inline";
import DevTagIcon from "~/assets/images/nav/social-developer-tag.svg?inline";

export default {
  components: {
    ExtLink,
    TelegramLogo,
    TwitterLogo,
    GitBookLogo,
    GitlabLogo,
    DiscordLogo,
    DevTagIcon,
  },
  data() {
    return {
      devTag: false,
      navItems: [
        {
          name: "Getting Started",
          link: this.$links("slash_getting_started"),
          active: this.$route.path === this.$links("slash_getting_started").link,
        },
        {
          name: "Ecosystem",
          link: this.$links("slash_ecosystem"),
          active: this.$route.path === this.$links("slash_ecosystem").link,
        },
        {
          name: "Library",
          link: this.$links("slash_document_library"),
          active: this.$route.path === this.$links("slash_document_library").link,
        },
        {
          name: "Roles",
          link: this.$links("slash_community_roles"),
          active: this.$route.path === this.$links("slash_community_roles").link,
        },
        {
          name: "Security",
          link: this.$links("slash_security_solvency"),
          active: this.$route.path === this.$links("slash_security_solvency").link,
        },
        {
          name: "Labs",
          link: this.$links("slash_research_labs"),
          active: this.$route.path === this.$links("slash_research_labs").link,
        },
      ],
    };
  },
  mounted() {
    console.log("Version v0.10 -");
    this.showTempPLUrl = process.env.isProduction;
  },
  methods: {
    isRouteActive(route) {
      return this.$route.path === route;
    },
    activeTag(val) {
      console.log("mouse");
      this.devTag = val;
    },
  },
};
</script>


<style lang="scss" scoped>
.links {
  flex: 1;

  .main-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    list-style-type: none;

    .nav-link {
      cursor: pointer;

      &:hover {
        color: $thor-blue-color;
      }
    }

    a {
      font-family: "Roboto";
      font-size: 1.125rem;
      line-height: 1.5rem;
      font-weight: 500;
      color: $thor-default-font-color;
    }

    .social-icon {
      max-width: 1.8125rem;
      max-height: 1.4375rem;
      width: auto;
      height: auto;
      cursor: pointer;
      fill: $thor-default-font-color;
      fill-rule: evenodd;

      &:hover {
        fill: $thor-blue-color;
      }
    }

    .nav-social {
      position: relative;
      display: flex;
      justify-content: space-between;

      a {
        height: 1.4375rem;
      }

      .dev-tag-container {
        position: absolute;
        right: 0;
        top: -1.25rem;

        .dev-tag {
          width: 7.0625rem;
          fill: $thor-default-font-color;

          &.active {
            fill: $thor-blue-color;
          }
        }
      }

      .h-divider {
        width: 0.9375rem;
      }
    }
  }
}
</style>